Loading...
Searching...
No Matches
ofdeprec.h File Reference

Defines macros for marking functions as deprecated. More...

## Macros

#define | OFdeprecated <unspecified>
| A macro for marking a function as deprecated.
#define | OFdeprecated_msg(MESSAGE)
| A macro for marking a function as deprecated with a custom message.

## Detailed Description

Defines macros for marking functions as deprecated.

#include "dcmtk/ofstd/ofdeprec.h"

## Macro Definition Documentation

## OFdeprecated

#define OFdeprecated <unspecified>

A macro for marking a function as deprecated.

### Example

OFdeprecated void myFunction() {...}
OFdeprecated
#define OFdeprecated
A macro for marking a function as deprecated.
Definition ofdeprec.h:43

If the compiler supports function deprecation, using this macro will lead to a diagnostic message being emitted whenever the marked function is used.

Referenced by DUL_DumpConnectionParameters(), DUL_DumpParams(), DimseCondition::dump(), DcmTransportConnection::dumpConnectionParameters(), dumpExtNegList(), DcmXfer::isEncapsulated(), and DcmXfer::isNotEncapsulated().

## OFdeprecated_msg

#define OFdeprecated_msg | ( |  | MESSAGE | ) |

Value:
<unspecified>

A macro for marking a function as deprecated with a custom message.

Parameters

  MESSAGE | the message to print as part of the diagnostic output.

### Example

OFdeprecated_msg("use myNewFunction() instead") void myFunction() {...}
void myNewFunction() {...}
OFdeprecated_msg
#define OFdeprecated_msg(MESSAGE)
A macro for marking a function as deprecated with a custom message.
Definition ofdeprec.h:60

If the compiler supports function deprecation with a custom message, using this macro will lead to a diagnostic message including the custom message being emitted whenever the marked function is used. If the compiler does not support custom messages, it will fall back to OFdeprecated.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0